'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require('react-intl');

exports.default = configContext => {
  var _configContext$inputC = configContext.inputComponents;
  const AutocompleteInput = _configContext$inputC.AutocompleteInput,
        CompoundInput = _configContext$inputC.CompoundInput,
        DateInput = _configContext$inputC.DateInput;
  const config = configContext.configHelpers.configKey;
  const DATA_TYPE_DATE = configContext.dataTypes.DATA_TYPE_DATE;


  return {
    document: {
      'ns2:acquisitions_lhmc': {
        [config]: {
          service: {
            ns: 'http://collectionspace.org/services/acquisition/domain/lhmc'
          }
        },
        receivedGroupList: {
          [config]: {
            view: {
              type: CompoundInput
            }
          },
          receivedGroup: {
            [config]: {
              messages: (0, _reactIntl.defineMessages)({
                name: {
                  'id': 'field.acquisitions_lhmc.receivedGroup.name',
                  'defaultMessage': 'Received'
                }
              }),
              repeating: true,
              view: {
                type: CompoundInput,
                props: {
                  tabular: true
                }
              }
            },
            receivedDate: {
              [config]: {
                dataType: DATA_TYPE_DATE,
                messages: (0, _reactIntl.defineMessages)({
                  name: {
                    'id': 'field.acquisitions_lhmc.receivedDate.name',
                    'defaultMessage': 'Date'
                  },
                  fullName: {
                    'id': 'field.acquisitions_lhmc.receivedDate.fullName',
                    'defaultMessage': 'Received date'
                  }
                }),
                view: {
                  type: DateInput
                }
              }
            },
            receivedBy: {
              [config]: {
                messages: (0, _reactIntl.defineMessages)({
                  name: {
                    'id': 'field.acquisitions_lhmc.receivedBy.name',
                    'defaultMessage': 'By'
                  },
                  fullName: {
                    'id': 'field.acquisitions_lhmc.receivedBy.fullName',
                    'defaultMessage': 'Received by'
                  }
                }),
                view: {
                  type: AutocompleteInput,
                  props: {
                    source: 'person/local,person/ulan,person/shared'
                  }
                }
              }
            }
          }
        }
      }
    }
  };
};