"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
const template = configContext => {
  const React = configContext.lib.React;
  var _configContext$layout = configContext.layoutComponents;
  const Panel = _configContext$layout.Panel,
        Row = _configContext$layout.Row,
        Cols = _configContext$layout.Cols,
        Col = _configContext$layout.Col;
  var _configContext$record = configContext.recordComponents;
  const Field = _configContext$record.Field,
        InputTable = _configContext$record.InputTable;


  return React.createElement(
    Field,
    { name: "document" },
    React.createElement(
      Panel,
      { name: "info", collapsible: true },
      React.createElement(
        Cols,
        null,
        React.createElement(
          Col,
          null,
          React.createElement(Field, { name: "acquisitionReferenceNumber" }),
          React.createElement(Field, { name: "accessionDateGroup" }),
          React.createElement(
            InputTable,
            { name: "acquisitionAuthorizer" },
            React.createElement(Field, { name: "acquisitionAuthorizer" }),
            React.createElement(Field, { name: "acquisitionAuthorizerDate" })
          ),
          React.createElement(
            Field,
            { name: "receivedGroupList", subpath: "ns2:acquisitions_lhmc" },
            React.createElement(
              Field,
              { name: "receivedGroup" },
              React.createElement(Field, { name: "receivedBy" }),
              React.createElement(Field, { name: "receivedDate" })
            )
          ),
          React.createElement(
            Field,
            { name: "acquisitionDateGroupList" },
            React.createElement(Field, { name: "acquisitionDateGroup" })
          ),
          React.createElement(Field, { name: "acquisitionMethod" }),
          React.createElement(
            Field,
            { name: "acquisitionSources" },
            React.createElement(Field, { name: "acquisitionSource" })
          )
        ),
        React.createElement(
          Col,
          null,
          React.createElement(
            Field,
            { name: "owners" },
            React.createElement(Field, { name: "owner" })
          ),
          React.createElement(Field, { name: "transferOfTitleNumber" }),
          React.createElement(
            Panel,
            { name: "priceInformation" },
            React.createElement(
              InputTable,
              { name: "groupPurchasePrice" },
              React.createElement(Field, { name: "groupPurchasePriceCurrency" }),
              React.createElement(Field, { name: "groupPurchasePriceValue" })
            ),
            React.createElement(
              InputTable,
              { name: "objectPurchasePrice" },
              React.createElement(Field, { name: "objectPurchasePriceCurrency" }),
              React.createElement(Field, { name: "objectPurchasePriceValue" })
            )
          ),
          React.createElement(Field, { name: "acquisitionReason" })
        )
      ),
      React.createElement(
        Field,
        { name: "approvalGroupList" },
        React.createElement(
          Field,
          { name: "approvalGroup" },
          React.createElement(Field, { name: "approvalGroup" }),
          React.createElement(Field, { name: "approvalIndividual" }),
          React.createElement(Field, { name: "approvalStatus" }),
          React.createElement(Field, { name: "approvalDate" }),
          React.createElement(Field, { name: "approvalNote" })
        )
      ),
      React.createElement(Field, { name: "acquisitionNote" }),
      React.createElement(Field, { name: "acquisitionProvisos" }),
      React.createElement(
        Row,
        null,
        React.createElement(
          Field,
          { name: "acquisitionFundingList" },
          React.createElement(
            Field,
            { name: "acquisitionFunding" },
            React.createElement(Field, { name: "acquisitionFundingCurrency" }),
            React.createElement(Field, { name: "acquisitionFundingValue" }),
            React.createElement(Field, { name: "acquisitionFundingSource" }),
            React.createElement(Field, { name: "acquisitionFundingSourceProvisos" })
          )
        )
      ),
      React.createElement(Field, { name: "creditLine" })
    ),
    React.createElement(
      Panel,
      { name: "objectCollectionInformation", collapsible: true, collapsed: true },
      React.createElement(
        Row,
        null,
        React.createElement(
          Field,
          { name: "fieldCollectionEventNames" },
          React.createElement(Field, { name: "fieldCollectionEventName" })
        )
      )
    )
  );
};

exports.default = configContext => ({
  template: template(configContext)
});