'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = configContext => {
  var _configContext$inputC = configContext.inputComponents;
  const AutocompleteInput = _configContext$inputC.AutocompleteInput,
        CompoundInput = _configContext$inputC.CompoundInput,
        OptionPickerInput = _configContext$inputC.OptionPickerInput,
        TermPickerInput = _configContext$inputC.TermPickerInput;
  const config = configContext.configHelpers.configKey;
  const extensions = configContext.config.extensions;


  return {
    document: Object.assign({
      'ns2:collectionobjects_common': {
        otherNumberList: {
          otherNumber: {
            numberType: {
              [config]: {
                view: {
                  type: TermPickerInput,
                  props: {
                    source: 'numbertype'
                  }
                }
              }
            }
          }
        },
        contentPlaces: {
          contentPlace: {
            [config]: {
              view: {
                type: AutocompleteInput,
                props: {
                  source: 'place/local,place/tgn'
                }
              }
            }
          }
        },
        textualInscriptionGroupList: {
          textualInscriptionGroup: {
            inscriptionContentType: {
              [config]: {
                view: {
                  props: {
                    source: 'lhmcInscriptionTypes'
                  }
                }
              }
            },
            inscriptionContentMethod: {
              [config]: {
                view: {
                  type: OptionPickerInput,
                  props: {
                    source: 'inscriptionMethods'
                  }
                }
              }
            }
          }
        },
        objectProductionPlaceGroupList: {
          objectProductionPlaceGroup: {
            objectProductionPlace: {
              [config]: {
                view: {
                  type: AutocompleteInput,
                  props: {
                    source: 'place/local,place/tgn'
                  }
                }
              }
            }
          }
        },
        assocPlaceGroupList: {
          [config]: {
            view: {
              type: CompoundInput
            }
          },
          assocPlaceGroup: {
            assocPlace: {
              [config]: {
                view: {
                  type: AutocompleteInput,
                  props: {
                    source: 'place/local,place/tgn'
                  }
                }
              }
            }
          }
        },
        ownershipPlace: {
          [config]: {
            view: {
              type: AutocompleteInput,
              props: {
                source: 'place/local,place/tgn'
              }
            }
          }
        }
      }
    }, extensions.culturalcare.collectionobject.fields)
  };
};