"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
const template = configContext => {
  const React = configContext.lib.React;
  var _configContext$layout = configContext.layoutComponents;
  const Col = _configContext$layout.Col,
        Cols = _configContext$layout.Cols,
        Panel = _configContext$layout.Panel,
        Row = _configContext$layout.Row;
  var _configContext$record = configContext.recordComponents;
  const Field = _configContext$record.Field,
        InputTable = _configContext$record.InputTable;


  return React.createElement(
    Field,
    { name: "document" },
    React.createElement(
      Panel,
      { name: "conditionCheckAndTechAssessmentInfo", collapsible: true },
      React.createElement(
        Cols,
        null,
        React.createElement(
          Col,
          null,
          React.createElement(Field, { name: "conditionCheckRefNumber" }),
          React.createElement(Field, { name: "conditionCheckAssessmentDate" }),
          React.createElement(Field, { name: "conditionCheckMethod" })
        ),
        React.createElement(
          Col,
          null,
          React.createElement(Field, { name: "conditionCheckReason" }),
          React.createElement(Field, { name: "conditionChecker" })
        )
      ),
      React.createElement(Field, { name: "conditionCheckNote" })
    ),
    React.createElement(
      Panel,
      { name: "objectConditionAndTechAssessmentInfo", collapsible: true, collapsed: true },
      React.createElement(
        Row,
        null,
        React.createElement(Field, { name: "objectAuditCategory" }),
        React.createElement(Field, { name: "conservationTreatmentPriority" }),
        React.createElement(Field, { name: "nextConditionCheckDate" })
      ),
      React.createElement(
        Field,
        { name: "completenessGroupList" },
        React.createElement(
          Field,
          { name: "completenessGroup" },
          React.createElement(Field, { name: "completeness" }),
          React.createElement(Field, { name: "completenessDate" }),
          React.createElement(Field, { name: "completenessNote" })
        )
      ),
      React.createElement(
        Field,
        { name: "hazardGroupList" },
        React.createElement(
          Field,
          { name: "hazardGroup" },
          React.createElement(Field, { name: "hazard" }),
          React.createElement(Field, { name: "hazardDate" }),
          React.createElement(Field, { name: "hazardNote" })
        )
      ),
      React.createElement(
        Field,
        { name: "techAssessmentGroupList" },
        React.createElement(
          Field,
          { name: "techAssessmentGroup" },
          React.createElement(Field, { name: "techAssessment" }),
          React.createElement(Field, { name: "techAssessmentDate" })
        )
      ),
      React.createElement(
        Field,
        { name: "conditionCheckLHMCGroupList", subpath: "ns2:conditionchecks_lhmc" },
        React.createElement(
          Field,
          { name: "conditionCheckLHMCGroup" },
          React.createElement(Field, { name: "conditionLHMC" }),
          React.createElement(Field, { name: "conditionFacetLHMC" }),
          React.createElement(Field, { name: "conditionDateLHMC" }),
          React.createElement(Field, { name: "conditionNoteLHMC" })
        )
      ),
      React.createElement(
        InputTable,
        { name: "maintenance" },
        React.createElement(Field, { name: "maintenanceDate", subpath: "ns2:conditionchecks_lhmc" }),
        React.createElement(Field, { name: "maintenanceCycle", subpath: "ns2:conditionchecks_lhmc" }),
        React.createElement(Field, { name: "maintenanceNote", subpath: "ns2:conditionchecks_lhmc" })
      ),
      React.createElement(
        Field,
        { name: "envConditionNoteGroupList" },
        React.createElement(
          Field,
          { name: "envConditionNoteGroup" },
          React.createElement(Field, { name: "envConditionNote" }),
          React.createElement(Field, { name: "envConditionNoteDate" })
        )
      )
    ),
    React.createElement(
      Panel,
      { name: "objectRequirementInfo", collapsible: true, collapsed: true },
      React.createElement(
        Cols,
        null,
        React.createElement(
          Col,
          null,
          React.createElement(Field, { name: "displayRecommendations" }),
          React.createElement(Field, { name: "handlingRecommendations" }),
          React.createElement(Field, { name: "securityRecommendations" }),
          React.createElement(Field, { name: "storageRequirements" })
        ),
        React.createElement(
          Col,
          null,
          React.createElement(Field, { name: "envRecommendations" }),
          React.createElement(Field, { name: "packingRecommendations" }),
          React.createElement(Field, { name: "specialRequirements" }),
          React.createElement(Field, { name: "legalRequirements" })
        )
      ),
      React.createElement(
        Field,
        { name: "legalReqsHeldGroupList" },
        React.createElement(
          Field,
          { name: "legalReqsHeldGroup" },
          React.createElement(Field, { name: "legalReqsHeld" }),
          React.createElement(Field, { name: "legalReqsHeldBeginDate" }),
          React.createElement(Field, { name: "legalReqsHeldEndDate" }),
          React.createElement(Field, { name: "legalReqsHeldNumber" }),
          React.createElement(Field, { name: "legalReqsHeldRenewDate" })
        )
      ),
      React.createElement(
        Cols,
        null,
        React.createElement(
          Col,
          null,
          React.createElement(
            Field,
            { name: "salvagePriorityCodeGroupList" },
            React.createElement(
              Field,
              { name: "salvagePriorityCodeGroup" },
              React.createElement(Field, { name: "salvagePriorityCode" }),
              React.createElement(Field, { name: "salvagePriorityCodeDate" })
            )
          )
        ),
        React.createElement(Col, null)
      )
    )
  );
};

exports.default = configContext => ({
  template: template(configContext)
});