'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = configContext => data => {
  var _configContext$record = configContext.recordDataHelpers;
  const getPart = _configContext$record.getPart,
        deepGet = _configContext$record.deepGet;
  const formatRefName = configContext.formatHelpers.formatRefName;


  if (!data) {
    return '';
  }

  const common = getPart(data, 'conditionchecks_common');
  const lhmc = getPart(data, 'conditionchecks_lhmc');

  const conditioncheckRefNumber = common && common.get('conditionCheckRefNumber');
  const condition = lhmc && deepGet(lhmc, ['conditionCheckLHMCGroupList', 'conditionCheckLHMCGroup', 0, 'conditionLHMC']);
  const formattedCondition = formatRefName(condition);

  return [conditioncheckRefNumber, formattedCondition].filter(part => !!part).join(' – ');
};