"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
const template = configContext => {
  const React = configContext.lib.React;
  var _configContext$layout = configContext.layoutComponents;
  const Col = _configContext$layout.Col,
        Cols = _configContext$layout.Cols,
        Panel = _configContext$layout.Panel,
        Row = _configContext$layout.Row;
  var _configContext$record = configContext.recordComponents;
  const Field = _configContext$record.Field,
        InputTable = _configContext$record.InputTable;


  return React.createElement(
    Field,
    { name: "document" },
    React.createElement(
      Panel,
      { name: "objectEntryInfo", collapsible: true },
      React.createElement(
        Cols,
        null,
        React.createElement(
          Col,
          null,
          React.createElement(Field, { name: "entryNumber" }),
          React.createElement(Field, { name: "entryDate" }),
          React.createElement(Field, { name: "receivedBy", subpath: "ns2:intakes_lhmc" }),
          React.createElement(Field, { name: "entryReason" }),
          React.createElement(
            Field,
            { name: "entryMethods" },
            React.createElement(Field, { name: "entryMethod" })
          )
        ),
        React.createElement(
          Col,
          null,
          React.createElement(Field, { name: "returnDate" }),
          React.createElement(Field, { name: "currentOwner" }),
          React.createElement(
            InputTable,
            { name: "depositor" },
            React.createElement(Field, { name: "depositor" }),
            React.createElement(Field, { name: "depositorsRequirements" })
          ),
          React.createElement(Field, { name: "intakeStatus", subpath: "ns2:intakes_lhmc" })
        )
      ),
      React.createElement(
        Field,
        { name: "approvalGroupList" },
        React.createElement(
          Field,
          { name: "approvalGroup" },
          React.createElement(Field, { name: "approvalGroup" }),
          React.createElement(Field, { name: "approvalIndividual" }),
          React.createElement(Field, { name: "approvalStatus" }),
          React.createElement(Field, { name: "approvalDate" }),
          React.createElement(Field, { name: "approvalNote" })
        )
      ),
      React.createElement(Field, { name: "entryNote" }),
      React.createElement(Field, { name: "packingNote" })
    ),
    React.createElement(
      Panel,
      { name: "valuation", collapsible: true, collapsed: true },
      React.createElement(
        Row,
        null,
        React.createElement(Field, { name: "valuer" }),
        React.createElement("div", null)
      )
    ),
    React.createElement(
      Panel,
      { name: "insurance", collapsible: true, collapsed: true },
      React.createElement(
        Cols,
        null,
        React.createElement(
          Col,
          null,
          React.createElement(
            Field,
            { name: "insurers" },
            React.createElement(Field, { name: "insurer" })
          ),
          React.createElement(Field, { name: "insurancePolicyNumber" }),
          React.createElement(Field, { name: "insuranceRenewalDate" }),
          React.createElement(
            Field,
            { name: "premiumGroupList", subpath: "ns2:intakes_lhmc" },
            React.createElement(
              Field,
              { name: "premiumGroup" },
              React.createElement(Field, { name: "premiumCurrency" }),
              React.createElement(Field, { name: "premiumValue" })
            )
          )
        ),
        React.createElement(
          Col,
          null,
          React.createElement(Field, { name: "insuranceNote" }),
          React.createElement(Field, { name: "insuredBy", subpath: "ns2:intakes_lhmc" }),
          React.createElement(
            Field,
            { name: "insuredValueGroupList", subpath: "ns2:intakes_lhmc" },
            React.createElement(
              Field,
              { name: "insuredValueGroup" },
              React.createElement(Field, { name: "insuredValueCurrency" }),
              React.createElement(Field, { name: "insuredValue" })
            )
          )
        )
      )
    ),
    React.createElement(
      Panel,
      { name: "location", collapsible: true, collapsed: true },
      React.createElement(
        Field,
        { name: "currentLocationGroupList" },
        React.createElement(
          Field,
          { name: "currentLocationGroup" },
          React.createElement(Field, { name: "currentLocation" }),
          React.createElement(Field, { name: "currentLocationFitness" }),
          React.createElement(Field, { name: "currentLocationNote" })
        )
      ),
      React.createElement(
        Row,
        null,
        React.createElement(Field, { name: "locationDate" }),
        React.createElement(Field, { name: "inventoriedBy", subpath: "ns2:intakes_lhmc" })
      )
    ),
    React.createElement(
      Panel,
      { name: "condition", collapsible: true, collapsed: true },
      React.createElement(
        Cols,
        null,
        React.createElement(
          Col,
          null,
          React.createElement(
            Field,
            { name: "conditionCheckMethods" },
            React.createElement(Field, { name: "conditionCheckMethod" })
          ),
          React.createElement(
            Field,
            { name: "conditionCheckReasons" },
            React.createElement(Field, { name: "conditionCheckReason" })
          ),
          React.createElement(
            Field,
            { name: "conditionCheckersOrAssessors" },
            React.createElement(Field, { name: "conditionCheckerOrAssessor" })
          )
        ),
        React.createElement(
          Col,
          null,
          React.createElement(Field, { name: "conditionCheckDate" }),
          React.createElement(Field, { name: "conditionCheckReferenceNumber" }),
          React.createElement(Field, { name: "intakeCondition", subpath: "ns2:intakes_lhmc" })
        )
      ),
      React.createElement(Field, { name: "conditionCheckNote" })
    )
  );
};

exports.default = configContext => ({
  template: template(configContext)
});