'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require('react-intl');

exports.default = configContext => {
  const AutocompleteInput = configContext.inputComponents.AutocompleteInput;
  const config = configContext.configHelpers.configKey;


  return {
    document: {
      'ns2:movements_lhmc': {
        [config]: {
          service: {
            ns: 'http://collectionspace.org/services/movement/domain/lhmc'
          }
        },
        tempLocAuthorizedBy: {
          [config]: {
            messages: (0, _reactIntl.defineMessages)({
              name: {
                'id': 'field.movements_lhmc.tempLocAuthorizedBy.name',
                'defaultMessage': 'Temp location authorized by'
              }
            }),
            view: {
              type: AutocompleteInput,
              props: {
                source: 'person/local,person/shared,person/ulan'
              }
            }
          }
        }
      }
    }
  };
};