"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
const template = configContext => {
  const React = configContext.lib.React;
  var _configContext$layout = configContext.layoutComponents;
  const Col = _configContext$layout.Col,
        Cols = _configContext$layout.Cols,
        Panel = _configContext$layout.Panel,
        Row = _configContext$layout.Row;
  var _configContext$record = configContext.recordComponents;
  const Field = _configContext$record.Field,
        InputTable = _configContext$record.InputTable;


  return React.createElement(
    Field,
    { name: "document" },
    React.createElement(
      Panel,
      { name: "location", collapsible: true },
      React.createElement(
        Row,
        null,
        React.createElement(Field, { name: "movementReferenceNumber" }),
        React.createElement(Field, { name: "normalLocation" })
      ),
      React.createElement(
        InputTable,
        { name: "currentLocation" },
        React.createElement(Field, { name: "currentLocation" }),
        React.createElement(Field, { name: "currentLocationFitness" }),
        React.createElement(Field, { name: "currentLocationNote" })
      ),
      React.createElement(
        Cols,
        null,
        React.createElement(
          Col,
          null,
          React.createElement(Field, { name: "locationDate" })
        ),
        React.createElement(Col, null)
      )
    ),
    React.createElement(
      Panel,
      { name: "movement", collapsible: true, collapsed: true },
      React.createElement(
        Cols,
        null,
        React.createElement(
          Col,
          null,
          React.createElement(Field, { name: "reasonForMove" }),
          React.createElement(
            Field,
            { name: "movementMethods" },
            React.createElement(Field, { name: "movementMethod" })
          ),
          React.createElement(
            Row,
            null,
            React.createElement(Field, { name: "plannedRemovalDate" }),
            React.createElement(Field, { name: "removalDate" })
          ),
          React.createElement(Field, { name: "tempLocAuthorizedBy", subpath: "ns2:movements_lhmc" })
        ),
        React.createElement(
          Col,
          null,
          React.createElement(Field, { name: "movementContact" }),
          React.createElement(Field, { name: "movementNote" })
        )
      )
    ),
    React.createElement(
      Panel,
      { name: "inventory", collapsible: true, collapsed: true },
      React.createElement(
        Cols,
        null,
        React.createElement(
          Col,
          null,
          React.createElement(Field, { name: "inventoryActionRequired" }),
          React.createElement(Field, { name: "frequencyForInventory" }),
          React.createElement(
            Row,
            null,
            React.createElement(Field, { name: "inventoryDate" }),
            React.createElement(Field, { name: "nextInventoryDate" })
          )
        ),
        React.createElement(
          Col,
          null,
          React.createElement(
            Field,
            { name: "inventoryContactList" },
            React.createElement(Field, { name: "inventoryContact" })
          ),
          React.createElement(Field, { name: "inventoryNote" })
        )
      )
    )
  );
};

exports.default = configContext => ({
  template: template(configContext)
});