'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require('react-intl');

exports.default = configContext => {
  const TextInput = configContext.inputComponents.TextInput;
  const config = configContext.configHelpers.configKey;


  return {
    document: {
      'ns2:places_lhmc': {
        [config]: {
          service: {
            ns: 'http://collectionspace.org/services/place/domain/lhmc'
          }
        },
        placeWidth: {
          [config]: {
            messages: (0, _reactIntl.defineMessages)({
              name: {
                'id': 'field.places_lhmc.placeWidth.name',
                'defaultMessage': 'Width'
              }
            }),
            view: {
              type: TextInput
            }
          }
        },
        placeLength: {
          [config]: {
            messages: (0, _reactIntl.defineMessages)({
              name: {
                'id': 'field.places_lhmc.placeLength.name',
                'defaultMessage': 'Length'
              }
            }),
            view: {
              type: TextInput
            }
          }
        }
      }
    }
  };
};